package com.ruoyi.common.enums;

/**
 * 保证金交易状态
 *
 * @author ruoyi
 */
public enum BondOrderStatus {
    UN_PAY(0, "待交易"),
    SUCCESS(1, "交易成功"),
    FAILED(2, "交易失败"),
    CLOSED(3, "关闭交易"),
    INVALID(4, "无效订单");

    private final Integer type;
    private final String msg;

    private BondOrderStatus(Integer type, String msg) {
        this.type = type;
        this.msg = msg;
    }

    public Integer getType() {
        return this.type;
    }

    public String getMsg() {
        return this.msg;
    }
}
